[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]


From: eric devost
Subject: Strange...
Date: Wed, 2 Jan 2002 21:45:37 -0500


I just installed lilypond-1.4.9-1 from the RPM on my RH7.2 box.

I had lilypond running fine last summer with RH7.1.

If I try to run ly2dvi over a lilypond file I made
last summer, here's what I get as output :

> ly2dvi
>Running LilyPond...
> -I /home/eric/EcritureMus/Lily -H dedication -H title -H subtitle -H 
>subsubtitle -H footer -H head -H composer -H arranger -H instrument -H opus 
>-H piece -H metre -H meter -H poet -H texttranslator -H language -H 
linewidth >-H latexpackages -H latexoptions -H latexheaders -H orientation -H 
pagenumber >-H textheight -H papersize /home/eric/EcritureMus/Lily/Estek
>GNU LilyPond 1.4.9
>Now processing: `/home/eric/EcritureMus/Lily/'
>/home/eric/EcritureMus/Lily/ error: parse error, expecting 
>`STRING' or `'}'':
>        title ="Estek";
>/home/eric/EcritureMus/Lily/ error: parse error:
>        composer="Eric Devost";
>/home/eric/EcritureMus/Lily/ error: parse error:
>        \key d\major;
>/home/eric/EcritureMus/Lily/ error: parse error:
>                \stemup
>/home/eric/EcritureMus/Lily/ error: parse error:
>                \stemdown
>                          s8| b2 s2| b2 a2| b2 s2| b2 a2| b2 s2| b2 s4 s8 
a8| >~a2 d8. g,16 ~g4|
>/home/eric/EcritureMus/Lily/ error: parse error:
>                \stemup
>                        r8| r4 g'4 <cis16 fis16> r8. r4| r4 g8 <cis8 fis8> 
>r16 f,8 c'8. e8| r4 g,4 <cis16 fis16> r8. r4| r4 <g4 cis4 fis4> r16 <f16 
c'16 >e16> r16 <f16 c'16 e16>~ <f4 c'4 e4>|
>error: lilypond: command exited with value 256
>Traceback (innermost last):
>  File "/usr/bin/ly2dvi", line 826, in ?
>    run_lilypond (files, outbase, dep_prefix)
>  File "/usr/bin/ly2dvi", line 428, in run_lilypond
>    system ('lilypond %s %s ' % (opts, fs))
> File "/usr/bin/ly2dvi", line 230, in system
>    error (msg)
>  File "/usr/bin/ly2dvi", line 128, in error
>    raise _ ("Exiting ... ")
>Exiting ...

All these parse error are strange. I ran ly2dvi over
this file last summer without any problems...

Seems like my RH7.2 box is missing a package.
I dont' know... (I haven't upgraded, but installed
7.2 on a new computer)

I have tetex-1.0.7-30 installed

Does anyone have an idea?

Thank's a lot again for looking!


reply via email to

[Prev in Thread] Current Thread [Next in Thread]